com.tibbo.aggregate.common.data

## Class PersistentEvent

- java.lang.Object
- - com.tibbo.aggregate.common.data.PersistentEvent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class PersistentEvent
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_NAME_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentEvent()`
    `PersistentEvent(Event event, EventDefinition ed)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PersistentEvent` | `clone()`
    `static PersistenceBinding` | `createPersistenceBinding(java.lang.String databaseFieldName, java.lang.String databaseFieldType, java.lang.String databaseIndexName, java.lang.String eventFieldName)`
    `static java.lang.String` | `createPersistentFieldName(java.lang.String databaseField)`
    `boolean` | `equals(java.lang.Object obj)`
    `byte[]` | `getAck()`
    `java.lang.String` | `getContext()`
    `int` | `getCount()`
    `java.util.Date` | `getCreationtime()`
    `byte[]` | `getData()`
    `byte[]` | `getEnrichments()`
    `java.util.Date` | `getExpirationtime()`
    `byte[]` | `getFormat()`
    `java.lang.Long` | `getId()`
    `java.lang.Object` | `getKey(java.lang.String name)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getKeys()`
    `int` | `getLevel()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getPermissions()`
    `int` | `hashCode()`
    `void` | `setAck(byte[] ack)`
    `void` | `setContext(java.lang.String context)`
    `void` | `setCount(java.lang.Integer count)`
    `void` | `setCreationtime(java.util.Date creationtime)`
    `void` | `setData(byte[] data)`
    `void` | `setEnrichments(byte[] enrichments)`
    `void` | `setExpirationtime(java.util.Date expirationtime)`
    `void` | `setFormat(byte[] format)`
    `void` | `setId(java.lang.Long id)`
    `void` | `setKey(java.lang.String name, java.lang.Object value)`
    `void` | `setLevel(int level)`
    `void` | `setName(java.lang.String name)`
    `void` | `setPermissions(java.lang.String perms)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### KEY_NAME_PREFIX

          public static final java.lang.String KEY_NAME_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PersistentEvent

          public PersistentEvent()

    - #### PersistentEvent

          public PersistentEvent(Event event,
                                 EventDefinition ed)

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

    - #### getCreationtime

          public java.util.Date getCreationtime()

    - #### getContext

          public java.lang.String getContext()

    - #### getName

          public java.lang.String getName()

    - #### getExpirationtime

          public java.util.Date getExpirationtime()

    - #### getAck

          public byte[] getAck()

    - #### setAck

          public void setAck(byte[] ack)

    - #### getEnrichments

          public byte[] getEnrichments()

    - #### setEnrichments

          public void setEnrichments(byte[] enrichments)

    - #### setId

          public void setId(java.lang.Long id)

    - #### setCreationtime

          public void setCreationtime(java.util.Date creationtime)

    - #### setName

          public void setName(java.lang.String name)

    - #### setContext

          public void setContext(java.lang.String context)

    - #### setExpirationtime

          public void setExpirationtime(java.util.Date expirationtime)

    - #### setLevel

          public void setLevel(int level)

    - #### getLevel

          public int getLevel()

    - #### getPermissions

          public java.lang.String getPermissions()

    - #### setPermissions

          public void setPermissions(java.lang.String perms)

    - #### getCount

          public int getCount()

    - #### setCount

          public void setCount(java.lang.Integer count)

    - #### getFormat

          public byte[] getFormat()

    - #### setFormat

          public void setFormat(byte[] format)

    - #### getData

          public byte[] getData()

    - #### setData

          public void setData(byte[] data)

    - #### getKey

          public java.lang.Object getKey(java.lang.String name)

    - #### setKey

          public void setKey(java.lang.String name,
                             java.lang.Object value)

    - #### getKeys

          public java.util.Map<java.lang.String,java.lang.Object> getKeys()

    - #### clone

          public PersistentEvent clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### createPersistentFieldName

          public static java.lang.String createPersistentFieldName(java.lang.String databaseField)

    - #### createPersistenceBinding

          public static PersistenceBinding createPersistenceBinding(java.lang.String databaseFieldName,
                                                                    java.lang.String databaseFieldType,
                                                                    java.lang.String databaseIndexName,
                                                                    java.lang.String eventFieldName)